## org.eclipse.emf.ecore
Interface EValidator.SubstitutionLabelProvider

All Known Implementing Classes:
  Diagnostician

Enclosing interface:
  EValidator

    public static interface EValidator.SubstitutionLabelProvider

An interface for providing labels used within message substitutions.

Method Summary
`java.lang.String` `getFeatureLabel(EStructuralFeature eStructuralFeature)` Returns the label used to identify a feature.
`java.lang.String` `getObjectLabel(EObject eObject)` Returns the label to identify an object.
`java.lang.String` `getValueLabel(EDataType eDataType, java.lang.Object value)` Returns the label to identify a value of some data type.

Method Detail

### getObjectLabel

    java.lang.String getObjectLabel(EObject eObject)

  Returns the label to identify an object.

### getFeatureLabel

    java.lang.String getFeatureLabel(EStructuralFeature eStructuralFeature)

  Returns the label used to identify a feature.

### getValueLabel

    java.lang.String getValueLabel(EDataType eDataType,
                                   java.lang.Object value)

  Returns the label to identify a value of some data type.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.